## com.imcode.imcms.api
Class Image

    java.lang.Object
      com.imcode.imcms.api.Image

    public class Image

extends java.lang.Object

Constructor Summary
`Image()`

Method Summary
`java.lang.String` `getAlign()`
`java.lang.String` `getAltText()`
`int` `getBorder()`
`int` `getHeight()`
`int` `getHspace()`
`java.lang.String` `getLinkHref()`
`java.lang.String` `getLinkTarget()`
`java.lang.String` `getLowSrc()`
`java.lang.String` `getName()`
`long` `getSize()`
`java.lang.String` `getSrc(java.lang.String contextPath)`
`java.lang.String` `getSrcRelativeToContextPath()`
`int` `getVspace()`
`int` `getWidth()`
`boolean` `isEmpty()`
`void` `setAlign(java.lang.String align)`
`void` `setAltText(java.lang.String alt_text)`
`void` `setBorder(int border)`
`void` `setHeight(int height)`
`void` `setHspace(int h_space)`
`void` `setLinkHref(java.lang.String link_href)`
`void` `setLinkTarget(java.lang.String target)`
`void` `setLowSrc(java.lang.String low_src)`
`void` `setName(java.lang.String name)`
`void` `setSrc(java.lang.String src)`
`void` `setVspace(int v_space)`
`void` `setWidth(int width)`
`java.lang.String` `toHtmlTag(javax.servlet.http.HttpServletRequest request, java.util.Properties attributes)`
`java.lang.String` `toHtmlTag(javax.servlet.http.HttpServletRequest request, java.util.Properties attributes, boolean absolute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSrcRelativeToContextPath

    public java.lang.String getSrcRelativeToContextPath()

### getLowSrc

    public java.lang.String getLowSrc()

### setLowSrc

    public void setLowSrc(java.lang.String low_src)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### getBorder

    public int getBorder()

### setBorder

    public void setBorder(int border)

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String align)

### getAltText

    public java.lang.String getAltText()

### setAltText

    public void setAltText(java.lang.String alt_text)

### getVspace

    public int getVspace()

### setVspace

    public void setVspace(int v_space)

### getHspace

    public int getHspace()

### setHspace

    public void setHspace(int h_space)

### getLinkHref

    public java.lang.String getLinkHref()

### setLinkHref

    public void setLinkHref(java.lang.String link_href)

### getLinkTarget

    public java.lang.String getLinkTarget()

### setLinkTarget

    public void setLinkTarget(java.lang.String target)

### setSrc

    public void setSrc(java.lang.String src)

### isEmpty

    public boolean isEmpty()

### getSize

    public long getSize()

### getSrc

    public java.lang.String getSrc(java.lang.String contextPath)

### toHtmlTag

    public java.lang.String toHtmlTag(javax.servlet.http.HttpServletRequest request,
                                      java.util.Properties attributes,
                                      boolean absolute)

### toHtmlTag

    public java.lang.String toHtmlTag(javax.servlet.http.HttpServletRequest request,
                                      java.util.Properties attributes)